> ## Documentation Index
> Fetch the complete documentation index at: https://api.lensmor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate outreach messages



## OpenAPI

````yaml /openapi.json post /external/personnel/generate-outreach-message
openapi: 3.1.0
info:
  title: Lensmor API
  version: 0.22.0
  description: >-
    Lensmor Event Intelligence API for event discovery, exhibitor research,
    personnel lookup, credits, and profile matching.
servers:
  - url: https://platform.lensmor.com
security:
  - bearerAuth: []
tags:
  - name: Credits
  - name: Actions
  - name: Events
  - name: Exhibitors
  - name: Personnel
  - name: Contacts
  - name: Profile Matching
paths:
  /external/personnel/generate-outreach-message:
    post:
      tags:
        - Personnel
      summary: Generate outreach messages
      operationId: generateOutreachMessage
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OutreachMessageRequest'
      responses:
        '201':
          description: Outreach message generation accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OutreachMessageResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  schemas:
    OutreachMessageRequest:
      type: object
      required:
        - personnel_ids
        - event_id
        - channels
      properties:
        personnel_ids:
          type: array
          maxItems: 50
          items:
            type: string
        event_id:
          type: string
        channels:
          type: array
          items:
            type: string
            enum:
              - email
              - linkedin_message
        outreach_purpose:
          type: string
    OutreachMessageResponse:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          items:
            type: object
            required:
              - personnel_id
              - success
              - taskId
              - error
            properties:
              personnel_id:
                type: string
              success:
                type: boolean
              taskId:
                type:
                  - string
                  - 'null'
              error:
                type:
                  - string
                  - 'null'
    ApiError:
      type: object
      required:
        - code
        - message
        - errorKey
        - traceId
      properties:
        code:
          type: integer
        message:
          type: string
        errorKey:
          type: string
        traceId:
          type: string
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    PaymentRequired:
      description: Insufficient credits
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    RateLimited:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: User API key

````